One entitled download and its ordered assets
GET /api/learn/downloads/{downloadId}. One entitled download and its ordered assets. Headless LMS Content API reference.
curl -X GET "https://example.com/api/learn/downloads/string"{ "download": { "orgId": "string", "id": "string", "type": "download", "title": "string", "slug": "string", "description": "string", "status": "draft", "category": "string", "thumbnailAssetId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "assets": [ { "orgId": "string", "id": "string", "downloadId": "string", "assetId": "string", "seq": -9007199254740991, "displayName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}{ "error": "string", "message": "string", "requestId": "string"}Downloads the student is actively entitled to GET
GET /api/learn/downloads. Downloads the student is actively entitled to. Headless LMS Content API reference.
Redirect to a short-lived signed URL for an entitled asset GET
GET /api/learn/downloads/{downloadId}/assets/{assetId}. Redirect to a short-lived signed URL for an entitled asset. Headless LMS Content API reference.